/*
 * Copyright (c) 2006-2009 OrangeSignal.com All rights reserved.
 * 
 * これは Apache ライセンス Version 2.0 (以下、このライセンスと記述) に
 * 従っています。このライセンスに準拠する場合以外、このファイルを使用
 * してはなりません。このライセンスのコピーは以下から入手できます。
 * 
 * http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * 適用可能な法律がある、あるいは文書によって明記されている場合を除き、
 * このライセンスの下で配布されているソフトウェアは、明示的であるか暗黙の
 * うちであるかを問わず、「保証やあらゆる種類の条件を含んでおらず」、
 * 「あるがまま」の状態で提供されるものとします。
 * このライセンスが適用される特定の許諾と制限については、このライセンス
 * を参照してください。
 */

package jp.sf.orangesignal.chart.util;

import java.text.MessageFormat;
import java.util.ResourceBundle;

/**
 * アプリケーション単位の文字列リソース管理クラスを提供します。
 * 
 * @author 杉澤 浩二
 */
public abstract class StringManager {

	/**
	 * このアプリケーションの文字列リソースを保持します。
	 */
	protected static final ResourceBundle bundle = ResourceBundle.getBundle("orangesignal-chart");

	/**
	 * アプリケーションリソースからキーに対するメッセージを取得して返します。
	 * 
	 * @param key キー
	 * @param obj 書式
	 * @return メッセージ
	 */
	public static String getString(final String key, final Object... obj) {
		final String s = bundle.getString(key);
		if (obj != null && obj.length > 0)
			return new MessageFormat(s).format(obj);
		return s;
	}

}
